#
# spec file for package hugin (Version 0.6.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel SDL SDL-devel aaa_base aalib aalib-devel acl alsa alsa-devel atk atk-devel attr audiofile audit-libs autoconf automake bash bind-libs bind-utils binutils bison boost boost-devel bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db desktop-translations diffutils e2fsprogs esound expat fftw fftw-devel file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-icon-theme gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc41 libicu libjpeg libjpeg-devel libltdl libmspack libmudflap41 libnscd libpano libpano-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils python python-wxGTK rcs readline rpm sed sqlite strace sysvinit tar tcpd texinfo timezone unixODBC unzip update-desktop-files util-linux vigra vim wxGTK wxGTK-compat wxGTK-devel wxGTK-gl xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zip zlib zlib-devel

Name:           hugin
BuildRequires:  SDL-devel boost-devel fftw-devel gcc-c++ gnome-icon-theme libpano-devel libxml2 python-wxGTK update-desktop-files vigra wxGTK-devel zip
License:        Artistic License; GPL v2 or later; Public Domain, Freeware
Group:          Productivity/Graphics/Bitmap Editors
AutoReqProv:    on
Summary:        Front-End for Panorama Tools
Version:        0.6.1
Release:        32
Source:         %{name}-%{version}.tar.bz2
Patch2:         hugin-fftw.patch
Patch4:         hugin-jpe.patch
Patch5:         hugin-mime-fix.patch
Patch6:         hugin-no-mono-autorun.patch
Patch64:        hugin-lib64.patch
Patch11:        hugin-0.5-autoconf.diff
Patch13:        hugin-CVE-2007-5200.patch
Url:            http://hugin.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
hugin can be used to stitch multiple images together. The resulting
image can span 360 degrees. Another common use is the creation of very
high resolution pictures by combining multiple images.



Authors:
--------
    Pablo d'Angelo <pablo.dangelo@web.de>
    Alexandre Jenny
    Kai-Uwe Behrmann <ku.b@gmx.de>
    Bruno Postle
    Helmut Dersch
    Ben Allfree
    Stan Birchfield
    Lyndon Hill

%debug_package
%prep
%setup -q
%patch2
%patch4
%patch5
%patch6
%if %_lib == lib64
%patch64
%endif
%patch11
%patch13
# Rename Spanish Catalan to Catalan.
mv src/hugin/po/ca_ES.po src/hugin/po/ca.po
sed -i s/ca_ES/ca/ src/hugin/po/LINGUAS

%build
./bootstrap
%{configure} --with-unicode=yes
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
%suse_update_desktop_file %name Graphics 2DGraphics
# locales
%{find_lang} hugin
%{find_lang} nona_gui
cat hugin.lang nona_gui.lang > filelist 
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share
mv $RPM_BUILD_ROOT/usr/share/icons $RPM_BUILD_ROOT/opt/gnome/share

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime > /dev/null
fi

%postun
if [ -f /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime > /dev/null
fi

%files -f filelist
%defattr(-,root,root)
%doc BUGS AUTHORS COPYING HACKING LICENCE LICENCE_JHEAD LICENCE_VIGRA README TODO
/usr/bin/*
/usr/share/hugin
/usr/share/applications/hugin.desktop
# Own directories to not depend on gnome-icon-theme
/opt/gnome/share/icons
#/opt/gnome/share/icons/gnome/48x48/mimetypes/*.png
/usr/share/mime/packages/*.xml
/usr/share/pixmaps/*.png
%doc %{_mandir}/man?/*
%changelog
* Tue Oct 30 2007 - prusnak@suse.cz
- renamed optim_file.patch to CVE-2007-5200 (after CVE assigned)
- fixed tempfile creation also in AutoCtrlPointCreator
* Thu Sep 27 2007 - prusnak@suse.cz
- removed creation of fixed-name file in /tmp [#307684]
  (optim_file.patch)
* Sat Oct 21 2006 - schwab@suse.de
- Fix bogus version check.
* Wed Aug 23 2006 - postadal@suse.cz
- updated to version 0.6.1
  * suport for HDR file (log or gamma mapping)
  * reduced memory usage, better image caching strategy
  * fixed crashes and hangs when using the preview auto update
  * vignetting correction estimation speed up
  * projection can be changed in preview
* Thu Aug 17 2006 - postadal@suse.cz
- updated to version 0.6
  * copy ICC profiles from input images to output
  * added vignetting correction and brighness correction during stitching
  by addition or division with a flatfield image or an radial polynomial
  * estimate the vignetting polynomial directly from the overlapping images
  (experimental)
  * multithreaded remapping for hugin and nona
  * support for dcraw 16 bit .ppm files
  * disabled PTOptimizer progress display on OSX
  * added tool fulla (see man pages), for distortion, TCA and vignetting
  correction (can use old version PTLens database)
  * added Czech translation
- removed obsoleted patches: hugin-xqual.patch, filedialog-close-crash.patch
- added zip to Buildrequires
* Mon Aug 07 2006 - cthiel@suse.de
- fix build
* Tue Jul 04 2006 - cthiel@suse.de
- fix build
* Mon Mar 20 2006 - sbrabec@suse.cz
- Fixed add images close dialog crash (#156487).
* Thu Mar 09 2006 - bk@suse.de
- Use explicit gcc-c++ in BuildRequires (was implicit by SDL-devel)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - sbrabec@suse.cz
- Removed obsolete pywxrc patch (#143258).
* Thu Jan 12 2006 - sbrabec@suse.cz
- Updated to version 0.5.
* Tue Nov 08 2005 - ro@suse.de
- remove some extra qualifications to fix build with gcc-4.1
* Tue Oct 25 2005 - yxu@suse.de
- fixed missing part of function
* Thu Sep 22 2005 - sbrabec@suse.cz
- Updated to version 0.5-rc2.
* Wed Aug 17 2005 - sbrabec@suse.cz
- Work without binfmt mono bindings (#93498).
* Fri Aug 05 2005 - sbrabec@suse.cz
- Updated to version 0.5.cvs050602.
* Thu Jul 21 2005 - nadvornik@suse.cz
- added libpano-devel to nfb
* Wed May 25 2005 - mcihar@suse.cz
- fix build on lib64 systems
* Fri May 20 2005 - mcihar@suse.cz
- update to 0.5-rc1
* Mon Apr 18 2005 - mcihar@suse.de
- add missing build dependencies on SDL (due to wxGTK)
* Thu Apr 14 2005 - mcihar@suse.cz
- cvs update
- fix compilation
* Thu Feb 17 2005 - mcihar@suse.cz
- cvs update
* Fri Feb 04 2005 - mcihar@suse.cz
- cvs update
* Tue Jan 04 2005 - mcihar@suse.cz
- fix build on lib64 arches
* Wed Dec 22 2004 - mcihar@suse.cz
- cvs update and patches reorganisation
* Mon Nov 22 2004 - ro@suse.de
- fix build with current wxGTK
* Thu Sep 30 2004 - mcihar@suse.cz
- removed also SIFT header files and license from tarball (bug #46504)
* Tue Sep 21 2004 - mskibbe@suse.de
- change desktopfile
* Wed Aug 11 2004 - mcihar@suse.cz
- removed keypoints, since it uses patented SIFT code
- fixed compilation on x86_64
- reorganised patches
- no more patching for wx-config, use wrapper instead
* Mon Aug 02 2004 - mcihar@suse.cz
- update to latest released snapshot
- make nona default stitcher as we can not ship PTStitcher
* Fri Jul 30 2004 - mcihar@suse.cz
- initial packaging
